summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJaco Kroon <jaco@uls.co.za>2022-08-18 18:47:19 +0200
committerSam James <sam@gentoo.org>2022-08-18 19:42:25 +0100
commitf8bf4ec3380d4dabc612b93f6a0e257c812cadf0 (patch)
tree4fee2a71d1a0ef4b1ef8696bc17adfdb71a7d159 /sys-cluster/glusterfs/files
parentmedia-gfx/exiv2: fix test for musl (diff)
downloadgentoo-f8bf4ec3380d4dabc612b93f6a0e257c812cadf0.tar.gz
gentoo-f8bf4ec3380d4dabc612b93f6a0e257c812cadf0.tar.bz2
gentoo-f8bf4ec3380d4dabc612b93f6a0e257c812cadf0.zip
sys-cluster/glusterfs: 10.2-r2 bump to enable USE=uring.
Other minor fixes: Closes: https://bugs.gentoo.org/860312 Closes: https://bugs.gentoo.org/860309 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Jaco Kroon <jaco@uls.co.za> Closes: https://github.com/gentoo/gentoo/pull/26912 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'sys-cluster/glusterfs/files')
-rw-r--r--sys-cluster/glusterfs/files/glusterd-10.2-r2.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/sys-cluster/glusterfs/files/glusterd-10.2-r2.initd b/sys-cluster/glusterfs/files/glusterd-10.2-r2.initd
new file mode 100644
index 000000000000..e7e53f3ed9c4
--- /dev/null
+++ b/sys-cluster/glusterfs/files/glusterd-10.2-r2.initd
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+description="Gluster elastic volume management daemon"
+command="/usr/sbin/glusterd"
+pidfile="/run/${SVCNAME}.pid"
+command_args="-N"
+
+command_background="yes"
+
+depend() {
+ need net
+ before netmount
+}
+
+start_pre() {
+ # Ensure that the GlusterFS auxiliary mount parent directory exists
+ checkpath --directory --owner gluster:gluster --mode 0775 /run/gluster
+}
+
+start_post() {
+ local c=0
+ ebegin "Waiting for glusterd to start up"
+ while ! /usr/sbin/gluster volume list >/dev/null 2>&1 && [ "${c}" -lt "${glusterd_max_wait_start-60}" ]; do
+ c=$(( c+1 ))
+ done
+ [ "${c}" -lt "${glusterd_max_wait_start-60}" ]
+ eend $?
+
+ return 0
+}